Subject: [netmod] [Technical Errata Reported] RFC6020 (2949)

From: RFC Errata System <[email-masked]>
Date: Sun, 28 Aug 2011 18:09:49 -0700 (PDT)

The following errata report has been submitted for RFC6020,
"YANG - A Data Modeling Language for the Network Configuration Protocol (NETCONF)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6020&eid=2949

--------------------------------------
Type: Technical
Reported by: Andy Bierman <[email-masked]>

Section: 12

Original Text
-------------
(top of page 149)

 leafref-specification =
                         ;; these stmts can appear in any order
                         path-stmt stmtsep
                         [require-instance-stmt stmtsep]

Corrected Text
--------------
 leafref-specification = path-stmt stmtsep

Notes
-----
require-instance-stmt not allowed in leafref

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6020 (draft-ietf-netmod-yang-13)
--------------------------------------
Title               : YANG - A Data Modeling Language for the Network Configuration Protocol (NETCONF)
Publication Date    : October 2010
Author(s)           : M. Bjorklund, Ed.
Category            : PROPOSED STANDARD
Source              : NETCONF Data Modeling Language
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 29 Aug 2011 10:30:56 +0200

Two questions: 

1. Does everybody agree with the opinions of Andy and Martin that the
bug is in the ABNF? 
2. If the answer to the above is yes - Should we mark this erratum as
'Verified' or as 'Hold for document update'? With bugs in MIB modules I
usually am taking the later approach, as a change in a MIB module
implies a change in the version. Here we are dealing with the basic
definition of the language, the text in section 9.9.1 is OK and the ABNF
mistaken, so we could go both ways. 

Thanks and Regards,

Dan

> -----Original Message-----
> From: RFC Errata System [mailto:[email-masked]]
> Sent: Monday, August 29, 2011 4:10 AM
> To: [email-masked]; Romascanu, Dan (Dan); [email-masked];
> [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [Technical Errata Reported] RFC6020 (2949)
> 
> 
> "YANG - A Data Modeling Language for the Network Configuration
Protocol
> (NETCONF)".

---

From: Ladislav Lhotka <[email-masked]>
Date: Mon, 29 Aug 2011 11:24:25 +0200

> 1. Does everybody agree with the opinions of Andy and Martin that the

Yes, definitely.

> mistaken, so we could go both ways.

I think the erratum should be available to implementors asap, so the former options seems more appropriate.

Lada
 
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

--
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C

---

From: David Kessens <[email-masked]>
Date: Tue, 30 Aug 2011 12:46:52 -0700

Dan,

I agree with Lada.

David Kessens
---

> >> "YANG - A Data Modeling Language for the Network Configuration

David Kessens
---